profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/dedan/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.

dedan/notebook-styleguide 6

The Bayes Impact Notebook Styleguide

dedan/git_intro 4

introduction to git with homework

dedan/aand 3

Data Analysis Homework

dedan/clock_stimulus 2

clock stimulus für leo

dedan/mi2 2

machine intelligence 2

dedan/mohbf 2

models of higher brain functions homework

dedan/noisetest 2

faces in noise

dedan/feenyl 1

share music with your friends

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha a30d55e2a7c6cb3d2c49d69fbb644fd684e5a05e

Bump css-loader from 5.0.2 to 5.1.0 (#2941)

view details

push time in 4 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/css-loader-5.1.0

delete time in 4 hours

PR merged bayesimpact/docker-react

Reviewers
Bump css-loader from 5.0.2 to 5.1.0 dependencies javascript

Bumps css-loader from 5.0.2 to 5.1.0. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/webpack-contrib/css-loader/releases">css-loader's releases</a>.</em></p> <blockquote> <h2>v5.1.0</h2> <h2><a href="https://github.com/webpack-contrib/css-loader/compare/v5.0.2...v5.1.0">5.1.0</a> (2021-02-25)</h2> <h3>Features</h3> <ul> <li>added support webpackIgnore comment (<a href="https://github-redirect.dependabot.com/webpack-contrib/css-loader/issues/1264">#1264</a>) (<a href="https://github.com/webpack-contrib/css-loader/commit/53d40a9bb35a79e6a15308bbb7a01358f39816df">53d40a9</a>)</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/webpack-contrib/css-loader/blob/master/CHANGELOG.md">css-loader's changelog</a>.</em></p> <blockquote> <h2><a href="https://github.com/webpack-contrib/css-loader/compare/v5.0.2...v5.1.0">5.1.0</a> (2021-02-25)</h2> <h3>Features</h3> <ul> <li>added support webpackIgnore comment (<a href="https://github-redirect.dependabot.com/webpack-contrib/css-loader/issues/1264">#1264</a>) (<a href="https://github.com/webpack-contrib/css-loader/commit/53d40a9bb35a79e6a15308bbb7a01358f39816df">53d40a9</a>)</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/webpack-contrib/css-loader/commit/f1e0f00472fdd8fc1971c0602665b357b339e3b8"><code>f1e0f00</code></a> chore(release): 5.1.0</li> <li><a href="https://github.com/webpack-contrib/css-loader/commit/53d40a9bb35a79e6a15308bbb7a01358f39816df"><code>53d40a9</code></a> feat: added support webpackIgnore comment (<a href="https://github-redirect.dependabot.com/webpack-contrib/css-loader/issues/1264">#1264</a>)</li> <li><a href="https://github.com/webpack-contrib/css-loader/commit/e18c5a92a08c31a4244387ef70d966d07db0e957"><code>e18c5a9</code></a> chore(deps): update</li> <li><a href="https://github.com/webpack-contrib/css-loader/commit/28fb950c12af69401d575939838cfce4bb3159dc"><code>28fb950</code></a> docs: update (<a href="https://github-redirect.dependabot.com/webpack-contrib/css-loader/issues/1263">#1263</a>)</li> <li><a href="https://github.com/webpack-contrib/css-loader/commit/e76ef2c0667b143bfa383efe379fa67142664319"><code>e76ef2c</code></a> docs: fix outdated docs</li> <li>See full diff in <a href="https://github.com/webpack-contrib/css-loader/compare/v5.0.2...v5.1.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 4 hours

push eventbayesimpact/docker-react

push time in 5 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha 73e074b799a503baea196b251016d4f0d248c827

Bump eslint from 7.20.0 to 7.21.0 (#2949)

view details

push time in 6 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/eslint-7.21.0

delete time in 6 hours

PR merged bayesimpact/docker-react

Reviewers
Bump eslint from 7.20.0 to 7.21.0 dependencies javascript

Bumps eslint from 7.20.0 to 7.21.0. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/eslint/eslint/releases">eslint's releases</a>.</em></p> <blockquote> <h2>v7.21.0</h2> <ul> <li><a href="https://github.com/eslint/eslint/commit/3cd5440b94d5fa4f11a09f50b685f6150f0c2d41"><code>3cd5440</code></a> Upgrade: @eslint/eslintrc to 0.4.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14147">#14147</a>) (Brandon Mills)</li> <li><a href="https://github.com/eslint/eslint/commit/c0b8c71df4d0b3f54b20587432d9133741985d5c"><code>c0b8c71</code></a> Upgrade: Puppeteer to 7.1.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14122">#14122</a>) (Tim van der Lippe)</li> <li><a href="https://github.com/eslint/eslint/commit/08ae31e539e381cd0eabf6393fa5c20f1d59125f"><code>08ae31e</code></a> New: Implement cacheStrategy (refs <a href="https://github-redirect.dependabot.com/eslint/rfcs/issues/63">eslint/rfcs#63</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14119">#14119</a>) (Manu Chambon)</li> <li><a href="https://github.com/eslint/eslint/commit/5e51fd28dc773c11c924450d24088f97f2824f00"><code>5e51fd2</code></a> Update: do not ignore symbolic links (fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13551">#13551</a>, fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13615">#13615</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14126">#14126</a>) (Pig Fang)</li> <li><a href="https://github.com/eslint/eslint/commit/87c43a5d7ea2018cffd6d9b5c431ecb60caaf0d6"><code>87c43a5</code></a> Chore: improve a few comments and fix typos (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14125">#14125</a>) (Tobias Nießen)</li> <li><a href="https://github.com/eslint/eslint/commit/e19c51ea2ef2cf666d94218c66f6b223bb2e9dae"><code>e19c51e</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/b8aea9988b6451b6a05af4f3ede8d6ed5c1d9926"><code>b8aea99</code></a> Fix: pluralize 'line' to 'lines' in max-lines-per-function description (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14115">#14115</a>) (Trevin Hofmann)</li> <li><a href="https://github.com/eslint/eslint/commit/f5b53e285ab5286ea382d73b379b820f649c20d0"><code>f5b53e2</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/eee12134ce0956e9f825c1630776b1731551a948"><code>eee1213</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/5c4d7ea8d2e8d137c42b918dc99a84b4a5fed9b3"><code>5c4d7ea</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/eslint/eslint/blob/master/CHANGELOG.md">eslint's changelog</a>.</em></p> <blockquote> <p>v7.21.0 - February 27, 2021</p> <ul> <li><a href="https://github.com/eslint/eslint/commit/3cd5440b94d5fa4f11a09f50b685f6150f0c2d41"><code>3cd5440</code></a> Upgrade: @eslint/eslintrc to 0.4.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14147">#14147</a>) (Brandon Mills)</li> <li><a href="https://github.com/eslint/eslint/commit/c0b8c71df4d0b3f54b20587432d9133741985d5c"><code>c0b8c71</code></a> Upgrade: Puppeteer to 7.1.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14122">#14122</a>) (Tim van der Lippe)</li> <li><a href="https://github.com/eslint/eslint/commit/08ae31e539e381cd0eabf6393fa5c20f1d59125f"><code>08ae31e</code></a> New: Implement cacheStrategy (refs <a href="https://github-redirect.dependabot.com/eslint/rfcs/issues/63">eslint/rfcs#63</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14119">#14119</a>) (Manu Chambon)</li> <li><a href="https://github.com/eslint/eslint/commit/5e51fd28dc773c11c924450d24088f97f2824f00"><code>5e51fd2</code></a> Update: do not ignore symbolic links (fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13551">#13551</a>, fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13615">#13615</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14126">#14126</a>) (Pig Fang)</li> <li><a href="https://github.com/eslint/eslint/commit/87c43a5d7ea2018cffd6d9b5c431ecb60caaf0d6"><code>87c43a5</code></a> Chore: improve a few comments and fix typos (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14125">#14125</a>) (Tobias Nießen)</li> <li><a href="https://github.com/eslint/eslint/commit/e19c51ea2ef2cf666d94218c66f6b223bb2e9dae"><code>e19c51e</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/b8aea9988b6451b6a05af4f3ede8d6ed5c1d9926"><code>b8aea99</code></a> Fix: pluralize 'line' to 'lines' in max-lines-per-function description (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14115">#14115</a>) (Trevin Hofmann)</li> <li><a href="https://github.com/eslint/eslint/commit/f5b53e285ab5286ea382d73b379b820f649c20d0"><code>f5b53e2</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/eee12134ce0956e9f825c1630776b1731551a948"><code>eee1213</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> <li><a href="https://github.com/eslint/eslint/commit/5c4d7ea8d2e8d137c42b918dc99a84b4a5fed9b3"><code>5c4d7ea</code></a> Sponsors: Sync README with website (ESLint Jenkins)</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/eslint/eslint/commit/d12fb74f40f69f689cb9113ca797a8eba17a54a9"><code>d12fb74</code></a> 7.21.0</li> <li><a href="https://github.com/eslint/eslint/commit/7814cd34ad0bdd098b39bbd8d479f57e5e98e441"><code>7814cd3</code></a> Build: changelog update for 7.21.0</li> <li><a href="https://github.com/eslint/eslint/commit/3cd5440b94d5fa4f11a09f50b685f6150f0c2d41"><code>3cd5440</code></a> Upgrade: @eslint/eslintrc to 0.4.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14147">#14147</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/c0b8c71df4d0b3f54b20587432d9133741985d5c"><code>c0b8c71</code></a> Upgrade: Puppeteer to 7.1.0 (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14122">#14122</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/08ae31e539e381cd0eabf6393fa5c20f1d59125f"><code>08ae31e</code></a> New: Implement cacheStrategy (refs <a href="https://github-redirect.dependabot.com/eslint/rfcs/issues/63">eslint/rfcs#63</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14119">#14119</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/5e51fd28dc773c11c924450d24088f97f2824f00"><code>5e51fd2</code></a> Update: do not ignore symbolic links (fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13551">#13551</a>, fixes <a href="https://github-redirect.dependabot.com/eslint/eslint/issues/13615">#13615</a>) (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14126">#14126</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/87c43a5d7ea2018cffd6d9b5c431ecb60caaf0d6"><code>87c43a5</code></a> Chore: improve a few comments and fix typos (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14125">#14125</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/e19c51ea2ef2cf666d94218c66f6b223bb2e9dae"><code>e19c51e</code></a> Sponsors: Sync README with website</li> <li><a href="https://github.com/eslint/eslint/commit/b8aea9988b6451b6a05af4f3ede8d6ed5c1d9926"><code>b8aea99</code></a> Fix: pluralize 'line' to 'lines' in max-lines-per-function description (<a href="https://github-redirect.dependabot.com/eslint/eslint/issues/14115">#14115</a>)</li> <li><a href="https://github.com/eslint/eslint/commit/f5b53e285ab5286ea382d73b379b820f649c20d0"><code>f5b53e2</code></a> Sponsors: Sync README with website</li> <li>Additional commits viewable in <a href="https://github.com/eslint/eslint/compare/v7.20.0...v7.21.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 6 hours

PR opened jrnl-org/jrnl

Bump keyring from 22.0.1 to 22.3.0

Bumps keyring from 22.0.1 to 22.3.0. <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/jaraco/keyring/blob/main/CHANGES.rst">keyring's changelog</a>.</em></p> <blockquote> <h2>v22.3.0</h2> <ul> <li>Added redundant type declarations for accessor functions in <code>keyring.core</code>.</li> </ul> <h2>v22.2.0</h2> <ul> <li><a href="https://github-redirect.dependabot.com/jaraco/keyring/issues/487">#487</a>: Restored <code>Keyring</code> in <code>OS_X</code> module with deprecation warning for users specifying the backend by name.</li> </ul> <h2>v22.1.0</h2> <ul> <li>Added type declaration for <code>keyring.core.get_keyring()</code>.</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/jaraco/keyring/commit/e84f757f1aadfe779dbb8858e99de36c7283756f"><code>e84f757</code></a> Update changelog.</li> <li><a href="https://github.com/jaraco/keyring/commit/ceeaa922c6ac492505aabdb2791b86899adfedbc"><code>ceeaa92</code></a> 🧎‍♀️ Genuflect to the types.</li> <li><a href="https://github.com/jaraco/keyring/commit/db6896acea942a86d3fbee7e2a556fffb38055ba"><code>db6896a</code></a> Add types to parameters to KeyringBackend methods.</li> <li><a href="https://github.com/jaraco/keyring/commit/c0d4b92036053a43043be68e81e8f310df685d4d"><code>c0d4b92</code></a> Ignore the warning during tests.</li> <li><a href="https://github.com/jaraco/keyring/commit/e24ceafef8900568c9ace778032b130e76b66f63"><code>e24ceaf</code></a> Restore Keyring on OS_X module along with a DeprecationWarning. Fixes <a href="https://github-redirect.dependabot.com/jaraco/keyring/issues/487">#487</a>.</li> <li><a href="https://github.com/jaraco/keyring/commit/fb288d97954a6918ccc5e18d10c91e86afdff3ea"><code>fb288d9</code></a> Merge <a href="https://github.com/jaraco/skeleton">https://github.com/jaraco/skeleton</a></li> <li><a href="https://github.com/jaraco/keyring/commit/a7dcac88f9dd3f4ecae492d1cbfe710262fc893f"><code>a7dcac8</code></a> In get_keyring, ensure the return type is a KeyringBackend.</li> <li><a href="https://github.com/jaraco/keyring/commit/d9a13c77ce2a3efea70c97d219ca4335c0f03c40"><code>d9a13c7</code></a> Bump minimum pytest</li> <li><a href="https://github.com/jaraco/keyring/commit/5e416793c008c5ef285c37828072fbea5ced6d08"><code>5e41679</code></a> It's no longer necessary to filter this warning and it's not a warning anymore.</li> <li><a href="https://github.com/jaraco/keyring/commit/38fff62edb5e282f144dc77cc1bf5555367336d9"><code>38fff62</code></a> Added an .editorconfig. Pull request <a href="https://github-redirect.dependabot.com/jaraco/skeleton/issues/43">jaraco/skeleton#43</a>.</li> <li>Additional commits viewable in <a href="https://github.com/jaraco/keyring/compare/v22.0.1...v22.3.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+9 -4

0 comment

1 changed file

pr created time in 11 hours

create barnchjrnl-org/jrnl

branch : dependabot/pip/keyring-22.3.0

created branch time in 11 hours

create barnchjrnl-org/jrnl

branch : dependabot/pip/asteval-0.9.23

created branch time in 12 hours

PR opened jrnl-org/jrnl

Bump asteval from 0.9.22 to 0.9.23

Bumps asteval from 0.9.22 to 0.9.23. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/newville/asteval/releases">asteval's releases</a>.</em></p> <blockquote> <h2>0.9.23</h2> <p>treat all <code>dunder</code> attributes of all objects as inherently unsafe.</p> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/newville/asteval/commit/ed5b1c64728b6c680b5403b57473668172aef2c2"><code>ed5b1c6</code></a> update doc for 0.9.23 release</li> <li><a href="https://github.com/newville/asteval/commit/5e0bf9c158b68572a5eb0c8c854c8d8e000593f1"><code>5e0bf9c</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/newville/asteval/issues/87">#87</a> from newville/no_dunder</li> <li><a href="https://github.com/newville/asteval/commit/b650a29d89a31443a819f384d28f09d54f9326d1"><code>b650a29</code></a> update doc for no-dunder access</li> <li><a href="https://github.com/newville/asteval/commit/b3463792731cdba15781ac46f48f3ab1feb1e5f6"><code>b346379</code></a> add even more unsafe dunder attributes, even though all will be reject</li> <li><a href="https://github.com/newville/asteval/commit/25d1010766e2f8d1844b2fdb7a8bade35f57a45b"><code>25d1010</code></a> add <strong>dunder</strong> attributes as inherently unsafe</li> <li>See full diff in <a href="https://github.com/newville/asteval/compare/0.9.22...0.9.23">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+7 -2

0 comment

1 changed file

pr created time in 12 hours

delete branch bayesimpact/airtable-python

delete branch : pylint

delete time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha 205d64e92f17cbfc3b5b67bc0e458933ca3499e9

Bump @babel/plugin-proposal-optional-chaining from 7.13.0 to 7.13.8 (#2953)

view details

push time in 12 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/babel/plugin-proposal-optional-chaining-7.13.8

delete time in 12 hours

PR merged bayesimpact/docker-react

Reviewers
Bump @babel/plugin-proposal-optional-chaining from 7.13.0 to 7.13.8 dependencies javascript

Bumps @babel/plugin-proposal-optional-chaining from 7.13.0 to 7.13.8. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/releases"><code>@babel/plugin-proposal-optional-chaining's releases</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <p>Thanks <a href="https://github.com/luxp"><code>@luxp</code></a> and <a href="https://github.com/pigcan"><code>@pigcan</code></a> for your first PRs!</p> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 6</h4> <ul> <li>Alan Lu - 川古 (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> <li>Babel Bot (<a href="https://github.com/babel-bot"><code>@babel-bot</code></a>)</li> <li>Bogdan Savluk (<a href="https://github.com/zxbodya"><code>@zxbodya</code></a>)</li> <li>Huáng Jùnliàng (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> <li>pigcan (<a href="https://github.com/pigcan"><code>@pigcan</code></a>)</li> </ul> <h2>v7.13.7 (2021-02-24)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github.com/babel/babel/commit/cfdbdc0d1c0f061b9633b04d85b54892e01cdd4d"><code>cfdbdc0</code></a> Add back export maps for the <code>helpers/esm</code> folder (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 1</h4> <ul> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/blob/main/CHANGELOG.md"><code>@babel/plugin-proposal-optional-chaining's changelog</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12850">#12850</a> Update compat table (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> </ul> <h2>v7.13.5 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-compat-data</code>, <code>babel-plugin-transform-runtime</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12870">#12870</a> Add <code>es6.array.slice</code> in corejs2 builtins (<a href="https://github.com/eligao"><code>@eligao</code></a>)</li> </ul> </li> <li><code>babel-plugin-proposal-async-generator-functions</code>, <code>babel-plugin-proposal-decorators</code>, <code>babel-plugin-transform-runtime</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12869">#12869</a> Ensure that <code>@babel/runtime-corejs3</code> imports are injected (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.4 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-parser</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12867">#12867</a> Don't enable class features by default in <code>estree</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12865">#12865</a> Always load the CJS helpers when using <code>require</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.2 (2021-02-23)</h2> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/babel/babel/commit/e2abc19c4c8d4180f631fcf24f714c048aaa58a4"><code>e2abc19</code></a> v7.13.8</li> <li><a href="https://github.com/babel/babel/commit/ea6a43831550488fa137b4e3de7ed0c7653bb641"><code>ea6a438</code></a> Enable <code>external-helpers</code> by default in tests (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-plugin-proposal-optional-chaining/issues/12911">#12911</a>)</li> <li><a href="https://github.com/babel/babel/commit/039eb2710d54d03f02240106808cd9f0ef1732d8"><code>039eb27</code></a> Update all the <code>@babel/*</code> dependencies (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-plugin-proposal-optional-chaining/issues/12897">#12897</a>)</li> <li>See full diff in <a href="https://github.com/babel/babel/commits/v7.13.8/packages/babel-plugin-proposal-optional-chaining">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once it's up-to-date and CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 12 hours

push eventbayesimpact/docker-pandas

dependabot-preview[bot]

commit sha 8c16a0b6b5b7cce2a050dce0493c0a6ffb06750b

Bump coverage from 5.4 to 5.5 Bumps [coverage](https://github.com/nedbat/coveragepy) from 5.4 to 5.5. - [Release notes](https://github.com/nedbat/coveragepy/releases) - [Changelog](https://github.com/nedbat/coveragepy/blob/master/CHANGES.rst) - [Commits](https://github.com/nedbat/coveragepy/compare/coverage-5.4...coverage-5.5) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

push time in 12 hours

delete branch bayesimpact/docker-pandas

delete branch : dependabot/pip/coverage-5.5

delete time in 12 hours

PR merged bayesimpact/docker-pandas

Reviewers
Bump coverage from 5.4 to 5.5 dependencies

Bumps coverage from 5.4 to 5.5. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/nedbat/coveragepy/releases">coverage's releases</a>.</em></p> <blockquote> <h2>coverage-5.5</h2> <ul> <li><code>coverage combine</code> has a new option, <code>--keep</code> to keep the original data files after combining them. The default is still to delete the files after they have been combined. This was requested in <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1108">issue 1108</a> and implemented in <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/pull/1110">pull request 1110</a>. Thanks, Éric Larivière.</li> <li>When reporting missing branches in <code>coverage report</code>, branches aren’t reported that jump to missing lines. This adds to the long-standing behavior of not reporting branches from missing lines. Now branches are only reported if both the source and destination lines are executed. Closes both <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1065">issue 1065</a> and <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/955">issue 955</a>.</li> <li>Minor improvements to the HTML report: <ul> <li>The state of the line visibility selector buttons is saved in local storage so you don’t have to fiddle with them so often, fixing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1123">issue 1123</a>.</li> <li>It has a little more room for line numbers so that 4-digit numbers work well, fixing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1124">issue 1124</a>.</li> </ul> </li> <li>Improved the error message when combining line and branch data, so that users will be more likely to understand what’s happening, closing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/803">issue 803</a>.</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/nedbat/coveragepy/blob/master/CHANGES.rst">coverage's changelog</a>.</em></p> <blockquote> <h1>Version 5.5 --- 2021-02-28</h1> <ul> <li><code>coverage combine</code> has a new option, <code>--keep</code> to keep the original data files after combining them. The default is still to delete the files after they have been combined. This was requested in <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1108">issue 1108</a> and implemented in <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/pull/1110">pull request 1110</a>. Thanks, Éric Larivière.</li> <li>When reporting missing branches in <code>coverage report</code>, branches aren't reported that jump to missing lines. This adds to the long-standing behavior of not reporting branches from missing lines. Now branches are only reported if both the source and destination lines are executed. Closes both <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1065">issue 1065</a> and <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/955">issue 955</a>.</li> <li>Minor improvements to the HTML report: <ul> <li>The state of the line visibility selector buttons is saved in local storage so you don't have to fiddle with them so often, fixing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1123">issue 1123</a>.</li> <li>It has a little more room for line numbers so that 4-digit numbers work well, fixing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1124">issue 1124</a>.</li> </ul> </li> <li>Improved the error message when combining line and branch data, so that users will be more likely to understand what's happening, closing <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/803">issue 803</a>.</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/nedbat/coveragepy/commit/f06b950c318bcd9cf8bc8ec3a03fb4d0d518b8d9"><code>f06b950</code></a> docs: use sphinxcontrib for the rst builder</li> <li><a href="https://github.com/nedbat/coveragepy/commit/44321223f4d980c12e80a381d8d489bb19f89a33"><code>4432122</code></a> build: a better kit-building link</li> <li><a href="https://github.com/nedbat/coveragepy/commit/9e8010cf1626dad26a02aa949c105481d540c631"><code>9e8010c</code></a> build: version 5.5 prep</li> <li><a href="https://github.com/nedbat/coveragepy/commit/c842085d0cfcce61a8a39d6deeecfd91aa19abd3"><code>c842085</code></a> doc: latest sample HTML report</li> <li><a href="https://github.com/nedbat/coveragepy/commit/79087b9f9e561bec1654ee80f143c4754641e81f"><code>79087b9</code></a> fix: don't report branches to missing lines. <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/1065">#1065</a></li> <li><a href="https://github.com/nedbat/coveragepy/commit/b12f189e8ed34b31438b8cca19133b74f7d67f90"><code>b12f189</code></a> test: fix a few metacov exclusions</li> <li><a href="https://github.com/nedbat/coveragepy/commit/fd78a6d8135b448235bdfdc61b5d6f41367f537f"><code>fd78a6d</code></a> docs: correct the GitHub action badges</li> <li><a href="https://github.com/nedbat/coveragepy/commit/169972546b699f01813131d5356d0edcfc739343"><code>1699725</code></a> fix: improve an error message. <a href="https://github-redirect.dependabot.com/nedbat/coveragepy/issues/803">#803</a></li> <li><a href="https://github.com/nedbat/coveragepy/commit/3f3856702d7e88065dd0e13f022a4d7c69eeaf6b"><code>3f38567</code></a> build: coverage ci should fail fast</li> <li><a href="https://github.com/nedbat/coveragepy/commit/f5d60436c51a47629d4afee8aa97ec69e5eeb9c7"><code>f5d6043</code></a> refactor: remove unused exception handling</li> <li>Additional commits viewable in <a href="https://github.com/nedbat/coveragepy/compare/coverage-5.4...coverage-5.5">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha d2b08fbcf9dfa8cd58ea38ed0479cbffe3199870

Bump core-js from 3.9.0 to 3.9.1 (#2944)

view details

dependabot-preview[bot]

commit sha 662b97794ddb2ce5a536fb4a1fe80e814db20b3e

Bump query-string from 6.14.0 to 6.14.1 (#2946)

view details

dependabot-preview[bot]

commit sha 5de46bbf5e7ebacf68af0881e914c0355d8c9b04

Bump webpack from 4.46.0 to 5.24.2 (#2947)

view details

dependabot-preview[bot]

commit sha e6e983b8d080f496dbfb7351224694d4365888f9

Bump whatwg-fetch from 3.6.1 to 3.6.2 (#2948)

view details

dependabot-preview[bot]

commit sha fc579a0c2d4be190feb622973e26e993847a6a1b

Bump @babel/core from 7.13.1 to 7.13.8 (#2945)

view details

dependabot-preview[bot]

commit sha 974b35842a0b07b92ec95fbd9d4b8b0204b1fb42

Bump @babel/plugin-proposal-optional-chaining from 7.13.0 to 7.13.8 Bumps [@babel/plugin-proposal-optional-chaining](https://github.com/babel/babel/tree/HEAD/packages/babel-plugin-proposal-optional-chaining) from 7.13.0 to 7.13.8. - [Release notes](https://github.com/babel/babel/releases) - [Changelog](https://github.com/babel/babel/blob/main/CHANGELOG.md) - [Commits](https://github.com/babel/babel/commits/v7.13.8/packages/babel-plugin-proposal-optional-chaining) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

push time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha 5ad674c1619a0cda1bc50083a42d2d0043c76b14

Bump @babel/preset-env from 7.13.5 to 7.13.8 (#2952)

view details

push time in 12 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/babel/preset-env-7.13.8

delete time in 12 hours

PR merged bayesimpact/docker-react

Reviewers
Bump @babel/preset-env from 7.13.5 to 7.13.8 dependencies javascript

Bumps @babel/preset-env from 7.13.5 to 7.13.8. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/releases"><code>@babel/preset-env's releases</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <p>Thanks <a href="https://github.com/luxp"><code>@luxp</code></a> and <a href="https://github.com/pigcan"><code>@pigcan</code></a> for your first PRs!</p> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 6</h4> <ul> <li>Alan Lu - 川古 (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> <li>Babel Bot (<a href="https://github.com/babel-bot"><code>@babel-bot</code></a>)</li> <li>Bogdan Savluk (<a href="https://github.com/zxbodya"><code>@zxbodya</code></a>)</li> <li>Huáng Jùnliàng (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> <li>pigcan (<a href="https://github.com/pigcan"><code>@pigcan</code></a>)</li> </ul> <h2>v7.13.7 (2021-02-24)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github.com/babel/babel/commit/cfdbdc0d1c0f061b9633b04d85b54892e01cdd4d"><code>cfdbdc0</code></a> Add back export maps for the <code>helpers/esm</code> folder (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 1</h4> <ul> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/blob/main/CHANGELOG.md"><code>@babel/preset-env's changelog</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12850">#12850</a> Update compat table (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/babel/babel/commit/e2abc19c4c8d4180f631fcf24f714c048aaa58a4"><code>e2abc19</code></a> v7.13.8</li> <li><a href="https://github.com/babel/babel/commit/ea6a43831550488fa137b4e3de7ed0c7653bb641"><code>ea6a438</code></a> Enable <code>external-helpers</code> by default in tests (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env/issues/12911">#12911</a>)</li> <li><a href="https://github.com/babel/babel/commit/6a0394634f2cf0efd7a148c41dadd656b78b0e11"><code>6a03946</code></a> Don't inject invalid <code>core-js@2</code> polyfills (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env/issues/12901">#12901</a>)</li> <li><a href="https://github.com/babel/babel/commit/039eb2710d54d03f02240106808cd9f0ef1732d8"><code>039eb27</code></a> Update all the <code>@babel/*</code> dependencies (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env/issues/12897">#12897</a>)</li> <li><a href="https://github.com/babel/babel/commit/c9da9650eb5b3cca0dbdf2d9e771c53b99718089"><code>c9da965</code></a> chore: downgrade <code>semver</code> to <code>^6.3.2</code> (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env/issues/12890">#12890</a>)</li> <li><a href="https://github.com/babel/babel/commit/4acb73449fa5476dee2b73e49fbc0f5d570b949c"><code>4acb734</code></a> Update compat table (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env/issues/12850">#12850</a>)</li> <li>See full diff in <a href="https://github.com/babel/babel/commits/v7.13.8/packages/babel-preset-env">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha d2b08fbcf9dfa8cd58ea38ed0479cbffe3199870

Bump core-js from 3.9.0 to 3.9.1 (#2944)

view details

dependabot-preview[bot]

commit sha 662b97794ddb2ce5a536fb4a1fe80e814db20b3e

Bump query-string from 6.14.0 to 6.14.1 (#2946)

view details

dependabot-preview[bot]

commit sha 5de46bbf5e7ebacf68af0881e914c0355d8c9b04

Bump webpack from 4.46.0 to 5.24.2 (#2947)

view details

dependabot-preview[bot]

commit sha ab27ab9a20d02a1d5ea75291d5025f4678dd0802

Bump puppeteer from 7.1.0 to 8.0.0 Bumps [puppeteer](https://github.com/puppeteer/puppeteer) from 7.1.0 to 8.0.0. - [Release notes](https://github.com/puppeteer/puppeteer/releases) - [Changelog](https://github.com/puppeteer/puppeteer/blob/main/CHANGELOG.md) - [Commits](https://github.com/puppeteer/puppeteer/compare/v7.1.0...v8.0.0) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

push time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha a4afa152be8cd7d4c173c0a7de7ce96891f0601d

Bump google-protobuf from 3.15.2 to 3.15.3 (#2943)

view details

dependabot-preview[bot]

commit sha 9c1705f5f43c737a83b32eedfbc55111106c94e3

Bump node from 15.5.1 to 15.10.0 (#2934)

view details

dependabot-preview[bot]

commit sha 4d53870a49cfcb90e3f6bffae55c37a24f3b242f

Bump karma-webpack from 4.0.2 to 5.0.0 (#2926)

view details

dependabot-preview[bot]

commit sha d2b08fbcf9dfa8cd58ea38ed0479cbffe3199870

Bump core-js from 3.9.0 to 3.9.1 (#2944)

view details

dependabot-preview[bot]

commit sha 662b97794ddb2ce5a536fb4a1fe80e814db20b3e

Bump query-string from 6.14.0 to 6.14.1 (#2946)

view details

dependabot-preview[bot]

commit sha acf4499be36af5ebfa7cfb61c58f47876f495853

Bump css-loader from 5.0.2 to 5.1.0 Bumps [css-loader](https://github.com/webpack-contrib/css-loader) from 5.0.2 to 5.1.0. - [Release notes](https://github.com/webpack-contrib/css-loader/releases) - [Changelog](https://github.com/webpack-contrib/css-loader/blob/master/CHANGELOG.md) - [Commits](https://github.com/webpack-contrib/css-loader/compare/v5.0.2...v5.1.0) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

push time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha fc579a0c2d4be190feb622973e26e993847a6a1b

Bump @babel/core from 7.13.1 to 7.13.8 (#2945)

view details

push time in 12 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/babel/core-7.13.8

delete time in 12 hours

PR merged bayesimpact/docker-react

Reviewers
Bump @babel/core from 7.13.1 to 7.13.8 dependencies javascript

Bumps @babel/core from 7.13.1 to 7.13.8. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/releases"><code>@babel/core's releases</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <p>Thanks <a href="https://github.com/luxp"><code>@luxp</code></a> and <a href="https://github.com/pigcan"><code>@pigcan</code></a> for your first PRs!</p> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 6</h4> <ul> <li>Alan Lu - 川古 (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> <li>Babel Bot (<a href="https://github.com/babel-bot"><code>@babel-bot</code></a>)</li> <li>Bogdan Savluk (<a href="https://github.com/zxbodya"><code>@zxbodya</code></a>)</li> <li>Huáng Jùnliàng (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> <li>pigcan (<a href="https://github.com/pigcan"><code>@pigcan</code></a>)</li> </ul> <h2>v7.13.7 (2021-02-24)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github.com/babel/babel/commit/cfdbdc0d1c0f061b9633b04d85b54892e01cdd4d"><code>cfdbdc0</code></a> Add back export maps for the <code>helpers/esm</code> folder (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>Committers: 1</h4> <ul> <li>Nicolò Ribaudo (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/babel/babel/blob/main/CHANGELOG.md"><code>@babel/core's changelog</code></a>.</em></p> <blockquote> <h2>v7.13.8 (2021-02-26)</h2> <h4>:bug: Bug Fix</h4> <ul> <li>Other <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12909">#12909</a> chore: do not provide polyfills on bundling @babel/standalone (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12891">#12891</a> fix(eslint-parser): merge input <code>estree</code> options (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12901">#12901</a> Fix Module not found: Error: Can't resolve 'core-js/modules/es6.array.concat.js' with <a href="mailto:compat-data@7.13.x">compat-data@7.13.x</a> (<a href="https://github.com/luxp"><code>@luxp</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12893">#12893</a> Allow <code>require()</code> of runtime helpers in Node.js 13.2-13.6 (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:nail_care: Polish</h4> <ul> <li><code>babel-helper-create-class-features-plugin</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12898">#12898</a> Do not warn for <code>loose</code> of class features in <code>preset-env</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-core</code>, <code>babel-helper-transform-fixture-test-runner</code>, <code>babel-register</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12820">#12820</a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12883">#12883</a> Improve <code>@babel/runtime</code> esm stability (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:microscope: Output optimization</h4> <ul> <li><code>babel-plugin-proposal-object-rest-spread</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12899">#12899</a> Skip <code>_extends</code> helper for <code>{…x}</code> with modern targets (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.6 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12877">#12877</a> Define fallback <code>exports</code> for <code>@babel/runtime</code> on old Node (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h4>:house: Internal</h4> <ul> <li><code>babel-compat-data</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12850">#12850</a> Update compat table (<a href="https://github.com/JLHwung"><code>@JLHwung</code></a>)</li> </ul> </li> </ul> <h2>v7.13.5 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-compat-data</code>, <code>babel-plugin-transform-runtime</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12870">#12870</a> Add <code>es6.array.slice</code> in corejs2 builtins (<a href="https://github.com/eligao"><code>@eligao</code></a>)</li> </ul> </li> <li><code>babel-plugin-proposal-async-generator-functions</code>, <code>babel-plugin-proposal-decorators</code>, <code>babel-plugin-transform-runtime</code>, <code>babel-preset-env</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12869">#12869</a> Ensure that <code>@babel/runtime-corejs3</code> imports are injected (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.4 (2021-02-23)</h2> <h4>:bug: Bug Fix</h4> <ul> <li><code>babel-parser</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12867">#12867</a> Don't enable class features by default in <code>estree</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> <li><code>babel-plugin-transform-runtime</code>, <code>babel-runtime-corejs2</code>, <code>babel-runtime-corejs3</code>, <code>babel-runtime</code> <ul> <li><a href="https://github-redirect.dependabot.com/babel/babel/pull/12865">#12865</a> Always load the CJS helpers when using <code>require</code> (<a href="https://github.com/nicolo-ribaudo"><code>@nicolo-ribaudo</code></a>)</li> </ul> </li> </ul> <h2>v7.13.2 (2021-02-23)</h2> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/babel/babel/commit/e2abc19c4c8d4180f631fcf24f714c048aaa58a4"><code>e2abc19</code></a> v7.13.8</li> <li><a href="https://github.com/babel/babel/commit/ea6a43831550488fa137b4e3de7ed0c7653bb641"><code>ea6a438</code></a> Enable <code>external-helpers</code> by default in tests (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-core/issues/12911">#12911</a>)</li> <li><a href="https://github.com/babel/babel/commit/b17231e1afab1582efc985c7b000efb320cf13cf"><code>b17231e</code></a> [internal] Keep the <code>.cjs</code> extension when compiling source files (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-core/issues/12820">#12820</a>)</li> <li><a href="https://github.com/babel/babel/commit/c9da9650eb5b3cca0dbdf2d9e771c53b99718089"><code>c9da965</code></a> chore: downgrade <code>semver</code> to <code>^6.3.2</code> (<a href="https://github.com/babel/babel/tree/HEAD/packages/babel-core/issues/12890">#12890</a>)</li> <li>See full diff in <a href="https://github.com/babel/babel/commits/v7.13.8/packages/babel-core">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 12 hours

push eventbayesimpact/docker-react

dependabot-preview[bot]

commit sha e6e983b8d080f496dbfb7351224694d4365888f9

Bump whatwg-fetch from 3.6.1 to 3.6.2 (#2948)

view details

push time in 12 hours

delete branch bayesimpact/docker-react

delete branch : dependabot/npm_and_yarn/whatwg-fetch-3.6.2

delete time in 12 hours

PR merged bayesimpact/docker-react

Reviewers
Bump whatwg-fetch from 3.6.1 to 3.6.2 dependencies javascript

Bumps whatwg-fetch from 3.6.1 to 3.6.2. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/github/fetch/commit/8f48ca686f9564bf52704e0e4b410ca970b17031"><code>8f48ca6</code></a> 3.6.2</li> <li><a href="https://github.com/github/fetch/commit/e42f201b8b0af8b3f2615abe8161c8087f52f1b2"><code>e42f201</code></a> Revert "Represent non-stringified JSON request body as an [object Object] str...</li> <li>See full diff in <a href="https://github.com/github/fetch/compare/v3.6.1...v3.6.2">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.

Dependabot will merge this PR once CI passes on it, as requested by @pcorpet.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

</details>

<!-- Reviewable:start -->

This change is <img src="https://reviewable.io/review_button.svg" height="34" align="absmiddle" alt="Reviewable"/> <!-- Reviewable:end -->

+1 -1

0 comment

1 changed file

dependabot-preview[bot]

pr closed time in 12 hours